> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/reference/optimization-packs/kubernetes-pack/kubernetes-namespace.md).

# Kubernetes Namespace

This page describes the Optimization Pack for the Kubernetes Namespace component type.

## Metrics

| Name                            | Unit       | Description                                 |
| ------------------------------- | ---------- | ------------------------------------------- |
| k8s\_namespace\_cpu\_limit      | millicores | The CPU limit for the namespace             |
| k8s\_namespace\_cpu\_request    | millicores | The CPUs requested for the namespace        |
| k8s\_namespace\_memory\_limit   | bytes      | The memory limit for the namespace          |
| k8s\_namespace\_memory\_request | bytes      | Memory requested for the namespace          |
| k8s\_namespace\_running\_pods   | pdds       | The number of running pods in the namespace |

## Parameters

There are no parameters for the Kubernetes Namespace component type.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.akamas.io/akamas-docs/reference/optimization-packs/kubernetes-pack/kubernetes-namespace.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
